""" Test functions for radius module """

from pytest_steps import test_steps
from robber import expect

from pyramid_helpers.radius import client
from pyramid_helpers.radius import RadiusError


# pylint: disable=no-member,unused-argument


@test_steps('with_error', 'admin_ok', 'bad_username', 'bad_password')
def test_auth(app, radius_server):
    """ Test function for RADIUS authentication """

    # With error
    expect(lambda: client.validate_password('foo', 'bar', None)).to.throw(RadiusError)
    yield

    # Admin OK
    with client:
        result = client.validate_password('admin', 'admin', None)

    expect(result).to.be.true()
    yield

    # Bad password
    with client:
        result = client.validate_password('admin', 'bad', None)

    expect(result).to.be.false()
    yield

    # Bad username
    with client:
        result = client.validate_password('bad', 'admin', None)

    expect(result).to.be.false()
    yield
